<!DOCTYPE html>
<html>
<head>
    {% load static %}
    <title>Register</title>
    <link rel="stylesheet" href="../../static/css/register.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css">
</head>
<body>
    

    <nav class="navbar">
        <!-- Logo on the left side -->
        <div class="logo">
            <a href="{% url 'pocetna' %}">
                <img src="..\..\static\images\logo2-removebg-preview (1).png" alt="Logo" width="80">
            </a>
        </div>
        <!-- Links on the right side -->
        <div class="nav-links">
            <a href="{% url 'pocetna' %}" class="nav-btn">Početna</a>
            <a href="{% url 'alati' %}" class="nav-btn">Alati</a>
            <div class="dropdown">
                <button class="dropbtn">Frizure</button>
                <div class="dropdown-content">
                    <a href="{% url 'kratke' %}">Kratka kosa</a>
                    <a href="{% url 'duge' %}">Duga kosa</a>
                    <a href="{% url 'fades' %}">Prijelazi</a>
                    <!-- Add more options as needed -->
                </div>
            </div>
            {% if user.is_authenticated %}
                <a href="{% url 'logout' %}" class="nav-btn">Odjava</a>
            {% else %}
                <a href="{% url 'login' %}" class="nav-btn">Prijava</a>
            {% endif %}
    
        </div>
    </nav>

    <div class="container">
        <div class="d-flex justify-content-center ">
            <div class="user_card">
                <div class="d-flex justify-content-center">
                    <h3 id="form-title">REGISTRACIJA</h3>
                </div>
                <div class="d-flex justify-content-center form_container">
                    <form method="POST" action="{% url 'register_user' %}">
                        {% csrf_token %}
                        
                        <!-- Display form errors -->
                        {% if form.non_field_errors %}
                        <div class="alert alert-danger">
                            {{ form.non_field_errors }}
                        </div>
                        {% endif %}

                        <div class="input-group mb-3">
                            <div class="input-group-append">
                                <span class="input-group-text"><i class="fas fa-user"></i></span>
                            </div>
                            {{ form.username }}
                        </div>

                        <div class="input-group mb-3">
                            <div class="input-group-append">
                                <span class="input-group-text"><i class="fas fa-user"></i></span>
                            </div>
                            {{ form.first_name }}
                        </div>

                        <div class="input-group mb-3">
                            <div class="input-group-append">
                                <span class="input-group-text"><i class="fas fa-user"></i></span>
                            </div>
                            {{ form.last_name }}
                        </div>

                        <div class="input-group mb-3">
                            <div class="input-group-append">
                                <span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
                            </div>
                            {{ form.email }}
                        </div>

                        <div class="input-group mb-2">
                            <div class="input-group-append">
                                <span class="input-group-text"><i class="fas fa-key"></i></span>
                            </div>
                            {{ form.password1 }}
                        </div>

                        <div class="input-group mb-2">
                            <div class="input-group-append">
                                <span class="input-group-text"><i class="fas fa-key"></i></span>
                            </div>
                            {{ form.password2 }}
                        </div>

                        <div class="d-flex justify-content-center mt-3 login_container">
                            <input class="btn login_btn" type="submit" value="Registriraj se">
                        </div>
                    </form>
                </div>

                <div class="mt-4">
                    <div class="d-flex justify-content-center links">
                        Već imaš korisnički račun? <a href="{% url 'login' %}" class="ml-2">Prijavi se</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <footer>
        <p>&copy; 2024 Šišaj lega!</p>
        <p><a href="#">Privacy Policy</a> | <a href="#">Terms of Service</a></p>
    </footer>
    <script>
        var form_fields = document.getElementsByTagName('input');
        form_fields[1].placeholder = 'Korisničko ime...';
        form_fields[2].placeholder = 'Ime...';
        form_fields[3].placeholder = 'Prezime...';
        form_fields[4].placeholder = 'Email...';
        form_fields[5].placeholder = 'Postavi lozinku...';
        form_fields[6].placeholder = 'Ponovi lozinku...';

        for (var field in form_fields) {    
            form_fields[field].className += ' form-control';
        }
    </script>

</body>
</html>
